failed install of OMSA on RHEL4 Update 5 x86_64 using up2date

Chuck Remes cremes.devlist at mac.com
Mon Oct 1 09:44:43 CDT 2007


On Sep 27, 2007, at 2:59 PM, Michael E Brown wrote:

> On Wed, Sep 26, 2007 at 02:09:21PM -0500, Chuck Remes wrote:
>>
>> [snip]
>> I was wrong about $basearch not being replaced in the URL. That is
>> working correctly. Here is the output of the up2date command after I
>> clear the caches in /var/spool/up2date.
>>
>> [root at jm-orc-dev-1 rhn]# up2date -i srvadmin-all
>> http://linux.dell.com/repo/hardware/mirrors.pl?
>> osname=el4&basearch=x86_64&repo_config=
>> $repo_config&dellsysidpluginver=$dellsysidpluginver
>> using mirror: http://linux.dell.com/repo/hardware/latest/
>> platform_independent/rh40_64
>>
>> Fetching Obsoletes list for channel: rhel-x86_64-as-4...
>> ########################################
>>
>> Fetching Obsoletes list for channel: dell-hw-indep-repository...
>>
>> Fetching obsoletes list for http://linux.dell.com/repo/hardware/
>> mirrors.pl?osname=el4&basearch=x86_64&repo_config=
>> $repo_config&dellsysidpluginver=
>> $dellsysidpluginver&redirect=1&redir_path=...
>> ####################################
>> Fetching rpm headers...
>> ########################################
>>
>> Name                                    Version        Rel
>> ----------------------------------------------------------
>>
>>
>> The following packages you requested were not found:
>> srvadmin-all
>
> Hmmm.
>
> What was the output of the bootstrap.cgi? Which system model are you
> runnning? The getSystemId should have been installed when it tried to
> install the dell-hw-specific-repository RPM (which you dont appear to
> have installed, that would be a bootstrap.cgi problem.)
>
> So...
>
> Can you try running:
>   up2date -i libsmbios-bin
>
> and if that works, try running:
>   up2date -i dell-hw-specific-repository
>
> The exact output of the bootstrap.cgi would also be useful.

Michael,

I am running a PowerEdge 2950. You can look it up by service tag  
7STXHD1. Plus, I'm running RHEL 4 Update 5.

Plus, here's the exact output from bootstrap.cgi.

# wget -q -O - http://linux.dell.com/repo/hardware/bootstrap.cgi | bash
Downloading GPG key: http://linux.dell.com//repo/hardware/RPM-GPG-KEY- 
dell
     Importing key into RPM.
Downloading GPG key: http://linux.dell.com//repo/hardware/RPM-GPG-KEY- 
libsmbios
     Importing key into RPM.
Installing platform-independent RPM: dell-hw-indep- 
repository-1-14.el4.noarch.rpm

Installing platform-specific repository RPM.
http://linux.dell.com/repo/hardware/mirrors.pl? 
osname=el4&basearch=x86_64&repo_config= 
$repo_config&dellsysidpluginver=$dellsysidpluginver
using mirror: http://linux.dell.com/repo/hardware/latest/ 
platform_independent/rh40_64

Fetching Obsoletes list for channel: rhel-x86_64-as-4...

Fetching Obsoletes list for channel: dell-hw-indep-repository...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------


The following packages you requested were not found:
dell-hw-specific-repository
Done!
======================================================================== 
=====
If you encounter problems, please read the FAQ at:
     http://linux.dell.com/wiki/index.php/Repository/FAQ
======================================================================== 
=====


Thanks for your help! I hope I can get this working on this box so I  
can roll it out to my other ones.



More information about the Linux-PowerEdge mailing list